Page 1 of 2 12 LastLast
Results 1 to 10 of 13
  1. #1
    Join Date
    Nov 2006
    Posts
    38
    Plugin Contributions
    0

    Default Paypal Problem: "Some required information is missing or incomplete."

    I just realized that when a customer is sent to the Paypal payment page, the following warning message shows:

    "Some required information is missing or incomplete. Please correct your entries and try again."

    The amount of purchase is correct though. But I am sure the customers would be concerned about this message.

    Has anyone experienced this before? What is the problem?

    Thanks in advance. Gotta solve this ASAP.
    Cuts N Knots - Chinese Folk Arts and Crafts Store

  2. #2
    Join Date
    Sep 2003
    Location
    Ohio
    Posts
    66,825
    Plugin Contributions
    6

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    Check that you have Zen Cart v1.3.7 and have applied the current patch for PayPal at:
    http://www.zen-cart.com/forum/showthread.php?t=56216
    Linda McGrath
    If you have to think ... you haven't been zenned ...

    Did YOU buy the Zen Cart Team a cup of coffee and a donut today? Just click here to support the Zen Cart Team!!

    Are you using the latest? Perhaps you've a problem that's fixed in the latest version: [Upgrade today: v1.5.1]
    Officially PayPal-Certified! Just click here

    Try our Zen Cart Recommended Services - Hosting, Payment and more ...

  3. #3
    Join Date
    Nov 2006
    Posts
    38
    Plugin Contributions
    0

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    I am currently using 1.3.5. Is this the problem? I just saw a posting which indicated that he had already installed the patch but the problem persisted.

    http://www.zen-cart.com/forum/showthread.php?t=60676



    Quote Originally Posted by Ajeh View Post
    Check that you have Zen Cart v1.3.7 and have applied the current patch for PayPal at:
    http://www.zen-cart.com/forum/showthread.php?t=56216
    Cuts N Knots - Chinese Folk Arts and Crafts Store

  4. #4
    Join Date
    Sep 2003
    Location
    Ohio
    Posts
    66,825
    Plugin Contributions
    6

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    With all of the issues on address in v1.3.5 there could be several issues involved here ...

    I wouldn't run a site with v1.3.5 anymore ...

    Upgrading to 1.3.7 will take about the same time as trying to manually piece together fixes for v1.3.5 ...
    Linda McGrath
    If you have to think ... you haven't been zenned ...

    Did YOU buy the Zen Cart Team a cup of coffee and a donut today? Just click here to support the Zen Cart Team!!

    Are you using the latest? Perhaps you've a problem that's fixed in the latest version: [Upgrade today: v1.5.1]
    Officially PayPal-Certified! Just click here

    Try our Zen Cart Recommended Services - Hosting, Payment and more ...

  5. #5
    Join Date
    Nov 2006
    Posts
    38
    Plugin Contributions
    0

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    Thanks for the suggestion. I will upgrade and see what happens.

    Quote Originally Posted by Ajeh View Post
    With all of the issues on address in v1.3.5 there could be several issues involved here ...

    I wouldn't run a site with v1.3.5 anymore ...

    Upgrading to 1.3.7 will take about the same time as trying to manually piece together fixes for v1.3.5 ...
    Cuts N Knots - Chinese Folk Arts and Crafts Store

  6. #6
    Join Date
    Nov 2006
    Posts
    38
    Plugin Contributions
    0

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    I didn't know it is so complex to upgrade. Is there any shortcut for upgrading from 1.3.5 to 1.3.7?


    Quote Originally Posted by Ajeh View Post
    With all of the issues on address in v1.3.5 there could be several issues involved here ...

    I wouldn't run a site with v1.3.5 anymore ...

    Upgrading to 1.3.7 will take about the same time as trying to manually piece together fixes for v1.3.5 ...
    Cuts N Knots - Chinese Folk Arts and Crafts Store

  7. #7
    Join Date
    Nov 2006
    Posts
    38
    Plugin Contributions
    0

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    Hi Ajeh, I really don't want to go through the upgrade as I have too many add-ons and modifications. Is there any other possible solution that you would suggest? Thanks very much.

    Quote Originally Posted by Ajeh View Post
    With all of the issues on address in v1.3.5 there could be several issues involved here ...

    I wouldn't run a site with v1.3.5 anymore ...

    Upgrading to 1.3.7 will take about the same time as trying to manually piece together fixes for v1.3.5 ...
    Cuts N Knots - Chinese Folk Arts and Crafts Store

  8. #8
    Join Date
    Sep 2003
    Location
    Ohio
    Posts
    66,825
    Plugin Contributions
    6

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    I think it would be harder to try to peice in the fixes for all of the code than to upgrade ...

    Using something like Beyond Compare from scootersoftware.com would help ...

    Upgrading a copy of your site and database in a new directory and database would be the suggested method to do this where you can practice and play and screw up all you want to without loss of anything important ...
    Linda McGrath
    If you have to think ... you haven't been zenned ...

    Did YOU buy the Zen Cart Team a cup of coffee and a donut today? Just click here to support the Zen Cart Team!!

    Are you using the latest? Perhaps you've a problem that's fixed in the latest version: [Upgrade today: v1.5.1]
    Officially PayPal-Certified! Just click here

    Try our Zen Cart Recommended Services - Hosting, Payment and more ...

  9. #9
    Join Date
    Nov 2006
    Posts
    38
    Plugin Contributions
    0

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    Thanks for the suggestion. The reason why I dont want to upgrade is that I used the SEO URL and Step-Checkout add-ons, which are very likely to cause problems. (I am not a good coder). Another concern is that as there are reports that even after upgrading to 1.3.7 the problem still exists.

    For an upgrade, is it possible to install the 1.3.7 copy and dump the database in, then copy the templates in? I will re-customize the site because I don't know how to deal with those addons.

    Quote Originally Posted by Ajeh View Post
    I think it would be harder to try to peice in the fixes for all of the code than to upgrade ...

    Using something like Beyond Compare from scootersoftware.com would help ...

    Upgrading a copy of your site and database in a new directory and database would be the suggested method to do this where you can practice and play and screw up all you want to without loss of anything important ...
    Cuts N Knots - Chinese Folk Arts and Crafts Store

  10. #10
    Join Date
    Sep 2003
    Location
    Ohio
    Posts
    66,825
    Plugin Contributions
    6

    Default Re: Paypal Problem: "Some required information is missing or incomplete."

    That is the idea behind using a test directory and database to test an upgrade and make sure that you do not break anything of importance ...

    Personally, I think installing v1.3.7 then the PayPal Patch ... then upgrading a test database then adding your template and customizing this much to work ... then start worrying about add-ons would be the way to go ...
    Linda McGrath
    If you have to think ... you haven't been zenned ...

    Did YOU buy the Zen Cart Team a cup of coffee and a donut today? Just click here to support the Zen Cart Team!!

    Are you using the latest? Perhaps you've a problem that's fixed in the latest version: [Upgrade today: v1.5.1]
    Officially PayPal-Certified! Just click here

    Try our Zen Cart Recommended Services - Hosting, Payment and more ...

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. Problem with adding link to information sidebox
    By rkeppert in forum Basic Configuration
    Replies: 3
    Last Post: 4 Mar 2007, 05:16 PM
  2. IPN problem, Mode for PayPal web services. Default?
    By chris9196 in forum Addon Payment Modules
    Replies: 2
    Last Post: 6 Nov 2006, 11:27 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •